Public Member Functions | Public Attributes

# cv::RotatedRect Class Reference

`#include <core.hpp>`

List of all members.

## Public Member Functions
Rect | boundingRect () const
| returns the minimal up-right rectangle containing the rotated rectangle
| operator CvBox2D () const
| conversion to the old-style CvBox2D structure
void | points (Point2f pts[]) const
| returns 4 vertices of the rectangle
| RotatedRect (const Point2f &_center, const Size2f &_size, float _angle)
| RotatedRect (const CvBox2D &box)
| RotatedRect ()
| various constructors
## Public Attributes
float | angle
Point2f | center
Size2f | size

## Detailed Description

The rotated 2D rectangle.

The class represents rotated (i.e. not up-right) rectangles on a plane. Each rectangle is described by the center point (mass center), length of each side (represented by cv::Size2f structure) and the rotation angle in degrees.

## Constructor & Destructor Documentation

cv::RotatedRect::RotatedRect | ( | ) | `[inline]`

various constructors

cv::RotatedRect::RotatedRect | ( | const Point2f & | _center,
|  | const Size2f & | _size,
|  | float | _angle
| ) |  | `[inline]`

cv::RotatedRect::RotatedRect | ( | const CvBox2D & | box ) | `[inline]`

## Member Function Documentation

Rect cv::RotatedRect::boundingRect | ( | ) | const

returns the minimal up-right rectangle containing the rotated rectangle

cv::RotatedRect::operator CvBox2D | ( | ) | const`[inline]`

conversion to the old-style CvBox2D structure

void cv::RotatedRect::points | ( | Point2f | pts[] ) | const

returns 4 vertices of the rectangle

## Member Data Documentation

float cv::RotatedRect::angle

Point2f cv::RotatedRect::center

Size2f cv::RotatedRect::size

The documentation for this class was generated from the following files:

- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines